English Amiga Board


Go Back   English Amiga Board > abime.net - Hosted Projects > project.ClassicWB

 
 
Thread Tools
Old 20 January 2019, 01:06   #1
n9yty
Registered User

 
Join Date: Nov 2017
Location: Rockford IL / USA
Posts: 15
Upgrading an existing install?

Sorry if this is a stupid question, but I had set up a CF a few years ago and had ClassicWB on it. Now I have purchased the 3.1.4 update and am wondering two maybe related or maybe unrelated things...


* How to update ClassicWB, assuming this needs to be done at all.

* How to update the install to use the 3.1.4 improvements?


I see some great work has been done to allow installation of ClassicWB packs, updated to use the Hyperiod 3.1.4 disks, but I am not sure how to incorporate that into an existing install.
n9yty is offline  
Old 20 January 2019, 07:04   #2
KKR75
Registered User

 
Join Date: Aug 2018
Location: Beirut / Lebanon
Posts: 62
Not a stupid question by any means.

1. I don't think you'll be able to just pop in the ROM and load your current version of classicwb, it will throw a library error namely icon and workbench. Of course you don't NEED to use 3.1.4, but since you bought it, it's to use it, right ? so.... on to next answer.

2. currently no script is in place inside original classicwb version to update it to 3.1.4 since Bloodwych stopped his work a few years ago. This is an idea I might toy with in the future and it should not be that hard to do, but in the meantime, your only good option is to manually copy the files in each floppy, making sure the protect bits remain in place (use CLONE option). Do read the FAQ and Install inside the 3.1.4 docs, they are lengthy and well written.
KKR75 is offline  
Old 21 January 2019, 17:06   #3
n9yty
Registered User

 
Join Date: Nov 2017
Location: Rockford IL / USA
Posts: 15
Thanks! I leanred about the "you can't pop the ROM in" when I tried to softload the 3.1.4 kickstart.

I wasn't sure if any of the other parts of ClassicWB had been "touched" or "updated' that would mean putting that on again as well as worrying about the 3.1.4 upgraded bits.

I'll make a backup and give it a go. It sure is easy to make a good backup when I can just make an image of the CF card.
n9yty is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
Amiga OS 3.1.4 - Can you install it on an existing 3.1 ? c0dehunter support.Hardware 10 20 January 2019 22:55
Kick 3.1.4. and existing OS3.9 install. Minimum changes ? SimonV support.Apps 8 24 October 2018 17:08
Help on how to install CWB39 to Existing 3.9 OS rikbliz project.ClassicWB 8 03 September 2012 11:11
Retrofitting Amikit or AmigaSYS to existing AmigaOS install HenryCase New to Emulation or Amiga scene 3 17 November 2008 00:50

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 12:55.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Page generated in 0.05753 seconds with 13 queries